> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.forte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Request withdrawal

> Request a withdrawal.



## OpenAPI

````yaml POST /v1/withdrawals
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.forte.cc
  - url: https://api.forte.cc
security:
  - bearerAuth: []
paths:
  /v1/withdrawals:
    post:
      description: Request a withdrawal.
      requestBody:
        description: Withdrawal request.
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - withdrawalAccountId
                - amount
              properties:
                withdrawalAccountId:
                  description: Identifier of the withdrawal account to use.
                  type: string
                  format: uuid
                  example: c43c87ed-65fd-4937-8b4d-5a93789aa997
                amount:
                  description: Amount to withdraw.
                  type: string
                  example: '10'
            example:
              withdrawalAccountId: c43c87ed-65fd-4937-8b4d-5a93789aa997
              amount: '10'
      responses:
        '200':
          description: >-
            Requested withdrawal. The response format varies slightly depending
            on the withdrawal network.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Withdrawal'
              example:
                - id: b56d7c9b-e794-4581-a931-c529007d8f50
                  withdrawalAccountId: c43c87ed-65fd-4937-8b4d-5a93789aa997
                  network: polygon
                  venue: wallet
                  label: Wallet [polygon]
                  currency: AUDF
                  amount: '10'
                  createdAt: '2024-06-23T21:10:22.828Z'
                  withdrawalAccount:
                    id: c43c87ed-65fd-4937-8b4d-5a93789aa997
                    currency: AUDF
                    details:
                      beneficiary:
                        address: '0x7CF327ab41927941b1Ad47e79cb62c7C9F452965'
                  details: {}
components:
  schemas:
    Withdrawal:
      type: object
      description: >-
        A withdrawal and its execution details. The exact shape may vary
        depending on the network.
      properties:
        id:
          type: string
          format: uuid
          description: Withdrawal identifier.
          example: b56d7c9b-e794-4581-a931-c529007d8f50
        label:
          type: string
          description: Human-readable withdrawal label.
          example: Wallet [polygon]
        network:
          type: string
          description: Network of the withdrawal.
          example: polygon
        currency:
          type: string
          description: Currency of the withdrawal.
          example: AUDF
        amount:
          type: string
          description: Amount of the withdrawal.
          example: '10'
        withdrawalAccount:
          $ref: '#/components/schemas/WithdrawalAccount'
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp (ISO 8601).
          example: '2024-06-23T21:10:22.828Z'
        processedAt:
          type: string
          format: date-time
          description: Processed timestamp (ISO 8601).
          example: '2024-06-23T21:10:22.828Z'
        details:
          type: object
          description: Network-specific withdrawal details.
          additionalProperties: true
          example: {}
    WithdrawalAccount:
      type: object
      description: A withdrawal account. The exact shape may vary depending on the network.
      properties:
        id:
          type: string
          format: uuid
          description: Withdrawal account identifier.
          example: c43c87ed-65fd-4937-8b4d-5a93789aa997
        label:
          type: string
          description: Human-readable withdrawal label.
          example: Wallet [polygon]
        network:
          type: string
          description: Network of the withdrawal account.
          example: polygon
        currency:
          type: string
          description: Currency of the withdrawal account.
          example: AUDF
        details:
          type: object
          description: Network-specific withdrawal account details.
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````